Subject: RE: cygwin.dll
From: [email-masked] (psksvp)

17 Jan 1997 00:59:21 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC03D1.94E40170.cygnus.gnu-win32@RISA>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
Original-Sender: [email-masked]

Yes, it's true that the "hello world" program is just 17kb long, but it uses
the runtime lib in msvcrt.dll 

When I install the gnu-win32, I did not have those difficulty at all.
some may have, some may not..

I think, the goal of this project is the port those command utilities
on unix to win32. So I think us a dll that simulate unix system call, would
be a smarter choice..

So if someone want to port a program from unix, use gnu-win32 is a
good choice,  but if you only want to write windows program,
VC++ is a better choice..

[email-masked]

----------
From: 	M.Carter
Sent: 	Thursday, January 16, 1997 7:28 AM
To: 	[email-masked]
Subject: 	Re: cygwin.dll

At the risk of annoying someone ...

I'd like to mention that I used Visual C++ to 
write a simple 'hello world'
program for Windows 95. It was 17k long. I found that 
the machine transported
to another machine running Windows 95 without the need for 
distributing a dll, or any other paraphenalia. 
To my mind, this was a very clean way
of doing things. Looked at from a user point of view, it
is a simple, no fuss way of running a program. He installs
only one executable, and he doesn't have to set a path to the
dll.

In my experience of using cygnus, I first installed beta 17. I
then had problems configuring some GNU utils that I downloaded.
It was recommended that I download 17.1, because it was a better
version. Much hoo-hah followed, as I then had a naming conflict
between the old dll, and the new dll. On the whole, it was a
fairly frustrating experience, what with other problems that
followed as well.

Ben Constable wrote :
>I think the good thing about the DLL is that you can update the dll without
>changing heaps of executable programs. That is the idea with most DLL's.

On the other hand ... the major problem with creating an executable
is getting it to compile in the first place (in fact, I am often confounded
as to how difficult it is to convince a program that it's not doing
anything clever. Methinks there must be a better way of ensuring a 
standardisation of approaches so that source can be compiled
without hassles. I don't that think that GNU, which emphasises the importance
of portability, has the problem entirely cracked) Once that hurdle is overcome,
recompiling it in future is usually a piece of cake.

Can I please re-affirm the advantages of eliminating the dll :
   - the distribution is easier to install. Remember - the user may
not be interested in the cygnus project - he just wants an
executable that works
   - the binary is easier to execute

It is better to use the standard components of an already existing
operating system, rather than trying to go it alone by adding extra bits.
Unless there's a compelling reason to do so, of course. I would be
the first one to admit that a PC's operating system is 'less than 
perfect' (in fact, if there was a competition  for the worst designed
operating system currently on the market, the PC operating system in
all it's glorious flavours [Dos, Win 3.11, Win 95] would win it), and
I'm sure that 99% of the people reading this email would agree with me.
Even the humble Amiga has an operating system that has more coherency
to it.

Windows 95 - it's not THAT bad.

This email was written with the sneaking expectation that it would generate
a lot of response, so I apologise if some people think that this is not
the appropriate forum to discuss these matters.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".